Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.swing.binding
[Java] Class AbstractSyntheticBinding

    java.lang.Object
      org.codehaus.groovy.binding.AbstractFullBinding
          groovy.swing.binding.AbstractSyntheticBinding

    public abstract class AbstractSyntheticBinding
    extends AbstractFullBinding

Created by IntelliJ IDEA. User: Danno.Ferrin Date: Jun 18, 2008 Time: 1:41:14 PM

Field Summary

Fields inherited from class AbstractFullBinding
converter, reverseConverter, sourceBinding, targetBinding, validator

Constructor Summary
`AbstractSyntheticBinding(PropertyBinding source, TargetBinding target, Class klass, String propertyName)`

Method Summary
`void` | `bind()`
`void` | `rebind()`
`void` | `setSourceBinding(SourceBinding source)`
`void` | `setTargetBinding(TargetBinding target)`
`protected void` | `syntheticBind()`
`protected void` | `syntheticUnbind()`
`void` | `unbind()`

Methods inherited from class AbstractFullBinding
getConverter, getReverseConverter, getSourceBinding, getTargetBinding, getValidator, reverseUpdate, setConverter, setReverseConverter, setSourceBinding, setTargetBinding, setValidator, update

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### AbstractSyntheticBinding

    public AbstractSyntheticBinding(PropertyBinding source, TargetBinding target, Class klass, String propertyName)

Method Detail

### bind

    public void bind()

### rebind

    public void rebind()

### setSourceBinding

    public void setSourceBinding(SourceBinding source)

### setTargetBinding

    public void setTargetBinding(TargetBinding target)

### syntheticBind

    protected void syntheticBind()

### syntheticUnbind

    protected void syntheticUnbind()

### unbind

    public void unbind()

Copyright © 2003-2010 The Codehaus. All rights reserved.